name: roomfit_ble
description: Roomfit BLE scanner + Transport implementation over flutter_blue_plus. Pair with roomfit_device for DeviceGateway/DeviceState, and roomfit_protocol for Command/Response typing.
version: 0.2.0
publish_to: none

environment:
  sdk: ^3.10.0
  flutter: ">=3.24.0"

resolution: workspace

dependencies:
  flutter:
    sdk: flutter
  flutter_blue_plus: ^1.35.0
  roomfit_protocol:
    path: ../roomfit_protocol
  roomfit_device:
    path: ../roomfit_device
  meta: ^1.12.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  build_runner: ^2.4.0
  freezed: ^3.0.0
